Flask

python3 pip install에 있어서 문제가 발생했습니다 (Deep Voice 관련)

0
딥보이스 개발을 해보려고 하는데요. 처음부터 막막하네요... http://melonicedlatte.com/machinelearning/2018/07/02/215933.html 해당 링크에서 참고하며 했는데 pip3 install -r requirements.txt 잘 다운로드 하다가 갑자기 에러..

딥보이스 개발을 해보려고 하는데요.

처음부터 막막하네요...

http://melonicedlatte.com/machinelearning/2018/07/02/215933.html

해당 링크에서 참고하며 했는데

pip3 install -r requirements.txt

잘 다운로드 하다가 갑자기 에러가 났는데 구글링 해봐도 해답이 안보여서. 질문을올리게 됐습니다.

에러 내용이 안보일수도 있어서 직접 올려드리겠습니다.

ERROR: Command errored out with exit status 1:
     command: 'c:\users\dev\miniconda3\envs\sjg\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\dev\\AppData\\Local\\Temp\\pip-install-8xdw8her\\markupsafe_6456daab560749f5bb5aa328c4737374\\setup.py'"'"'; __file__='"'"'C:\\Users\\dev\\AppData\\Local\\Temp\\pip-install-8xdw8her\\markupsafe_6456daab560749f5bb5aa328c4737374\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\dev\AppData\Local\Temp\pip-pip-egg-info-vh5i47z8'
         cwd: C:\Users\dev\AppData\Local\Temp\pip-install-8xdw8her\markupsafe_6456daab560749f5bb5aa328c4737374\
    Complete output (5 lines):
    Traceback (most recent call last):
      File "", line 1, in 
      File "C:\Users\dev\AppData\Local\Temp\pip-install-8xdw8her\markupsafe_6456daab560749f5bb5aa328c4737374\setup.py", line 6, in 
        from setuptools import setup, Extension, Feature
    ImportError: cannot import name 'Feature'
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

 

txt 파일에는 

appnope==0.1.0
audioread==2.1.5
beautifulsoup4==4.6.0
bleach==1.5.0
bs4==0.0.1
cachetools==2.0.1
certifi==2017.7.27.1
chardet==3.0.4
click==6.7
cycler==0.10.0
decorator==4.1.2
dill==0.2.7.1
ffprobe==0.5
Flask==0.12.2
Flask-Cors==3.0.3
future==0.16.0
gapic-google-cloud-datastore-v1==0.15.3
gapic-google-cloud-error-reporting-v1beta1==0.15.3
gapic-google-cloud-logging-v2==0.91.3
gapic-google-cloud-pubsub-v1==0.15.4
gapic-google-cloud-spanner-admin-database-v1==0.15.3
gapic-google-cloud-spanner-admin-instance-v1==0.15.3
gapic-google-cloud-spanner-v1==0.15.3
google-auth==1.1.1
google-cloud==0.27.0
google-cloud-bigquery==0.26.0
google-cloud-bigtable==0.26.0
google-cloud-core==0.26.0
google-cloud-datastore==1.2.0
google-cloud-dns==0.26.0
google-cloud-error-reporting==0.26.0
google-cloud-language==0.27.0
google-cloud-logging==1.2.0
google-cloud-monitoring==0.26.0
google-cloud-pubsub==0.27.0
google-cloud-resource-manager==0.26.0
google-cloud-runtimeconfig==0.26.0
google-cloud-spanner==0.26.0
google-cloud-speech==0.28.0
google-cloud-storage==1.3.2
google-cloud-translate==1.1.0
google-cloud-videointelligence==0.25.0
google-cloud-vision==0.26.0
google-api-core==1.1.2
google-resumable-media==0.3.0
googleapis-common-protos==1.5.3
grpc-google-iam-v1==0.11.4
grpcio==1.6.3
html5lib==0.9999999
httplib2==0.10.3
idna==2.6
ipdb==0.10.3
ipython==6.2.1
ipython-genutils==0.2.0
iso8601==0.1.12
itsdangerous==0.24
jamo==0.4.1
jedi==0.11.0
Jinja2==2.9.6
joblib==0.11
librosa==0.5.1
llvmlite==0.20.0
m3u8==0.3.3
Markdown==2.6.9
MarkupSafe==1.0
matplotlib==2.1.0
monotonic==1.3
nltk==3.2.5
numba==0.35.0
numpy==1.13.3
oauth2client==3.0.0
parso==0.1.0
pexpect==4.2.1
pickleshare==0.7.4
ply==3.8
prompt-toolkit==1.0.15
proto-google-cloud-datastore-v1==0.90.4
proto-google-cloud-error-reporting-v1beta1==0.15.3
proto-google-cloud-logging-v2==0.91.3
proto-google-cloud-pubsub-v1==0.15.4
proto-google-cloud-spanner-admin-database-v1==0.15.3
proto-google-cloud-spanner-admin-instance-v1==0.15.3
proto-google-cloud-spanner-v1==0.15.3
protobuf==3.4.0
ptyprocess==0.5.2
pyasn1==0.3.7
pyasn1-modules==0.1.5
pydub==0.20.0
Pygments==2.2.0
pyparsing==2.2.0
python-dateutil==2.6.1
pytz==2017.2
requests==2.18.4
resampy==0.2.0
rsa==3.4.2
scikit-learn==0.19.0
scipy==0.19.1
simplegeneric==0.8.1
six==1.11.0
tenacity==4.4.0
#tensorflow-gpu==1.3.0
#tensorflow-tensorboard==0.1.8
tinytag==0.18.0
tqdm==4.19.2
traitlets==4.3.2
urllib3==1.22
wcwidth==0.1.7
Werkzeug==0.12.2
youtube-dl==2017.10.15.1
unidecode==1.0.22
inflect==0.2.5
-- 이렇게 구성 되어있습니다.

Anaconda에서 3.6.12 버전 파이썬 쓰고있구요.

봐주셔서 감사합니다.

리눅스 파이썬 Linux Python pip 프로그래밍 DeepVoice
머선129 2021-01-18
+
머선129 님께서 2021-01-18에 Flask에 올린 질문

댓글

1개의 답변

0
setuptools 버전을 46 아래로 낮추어 실행해보시기 바랍니다. pip3 install setuptools==45  

setuptools 버전을 46 아래로 낮추어 실행해보시기 바랍니다.

pip3 install setuptools==45

 

kimho 2021-01-22
+
사탕 주기
kimho 님께서 2021-01-22에 Python에 올린 글
보관하기

댓글

조회수 1,553
답글 1
URL